###################################################
### chunk number 1: 
###################################################
#line 44 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"
options(width=70)
foo <- packageDescription("phangorn")


###################################################
### chunk number 2: 
###################################################
#line 61 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"
library(phangorn)
primates = read.phyDat("primates.dna", format = "phylip", type = "DNA")
tree = pratchet(primates, trace=0)
tree = acctran(tree, primates) 
parsimony(tree, primates)


###################################################
### chunk number 3: 
###################################################
#line 72 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"
anc.acctran = ancestral.pars(tree, primates, "ACCTRAN")
anc.mpr = ancestral.pars(tree, primates, "MPR")


###################################################
### chunk number 4: plotLOGO
###################################################
#line 80 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"
tmp <- require(seqLogo)
if(tmp) seqLogo( t(subset(anc.mpr, getRoot(tree), 1:20)[[1]]), ic.scale=FALSE)


###################################################
### chunk number 5: figLOGO
###################################################
#line 86 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"
#line 80 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw#from line#86#"
tmp <- require(seqLogo)
if(tmp) seqLogo( t(subset(anc.mpr, getRoot(tree), 1:20)[[1]]), ic.scale=FALSE)
#line 87 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"


###################################################
### chunk number 6: 
###################################################
#line 93 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"
options(SweaveHooks=list(fig=function()
par(mar=c(2.1, 4.1, 2.1, 2.1))))


###################################################
### chunk number 7: plotMPR
###################################################
#line 98 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"
par(mfrow=c(2,1))
plotAnc(tree, anc.mpr, 17)
title("MPR")
plotAnc(tree, anc.acctran, 17)
title("ACCTRAN")


###################################################
### chunk number 8: figMPR
###################################################
#line 107 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"
#line 98 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw#from line#107#"
par(mfrow=c(2,1))
plotAnc(tree, anc.mpr, 17)
title("MPR")
plotAnc(tree, anc.acctran, 17)
title("ACCTRAN")
#line 108 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"


###################################################
### chunk number 9: 
###################################################
#line 122 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"
fit = pml(tree, primates)
fit = optim.pml(fit, model="F81", control = pml.control(trace=0))


###################################################
### chunk number 10: 
###################################################
#line 136 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"
anc.ml = ancestral.pml(fit, "ml")
anc.bayes = ancestral.pml(fit, "bayes")


###################################################
### chunk number 11: plotMLB
###################################################
#line 141 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"
par(mfrow=c(2,1))
plotAnc(tree, anc.ml, 17)
title("ML")
plotAnc(tree, anc.bayes, 17)
title("Bayes")


###################################################
### chunk number 12: figMLB
###################################################
#line 150 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"
#line 141 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw#from line#150#"
par(mfrow=c(2,1))
plotAnc(tree, anc.ml, 17)
title("ML")
plotAnc(tree, anc.bayes, 17)
title("Bayes")
#line 151 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"


###################################################
### chunk number 13: 
###################################################
#line 162 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Ancestral.Rnw"
toLatex(sessionInfo())


