###################################################
### chunk number 1: 
###################################################
#line 45 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
options(width=70)
foo <- packageDescription("phangorn")


###################################################
### chunk number 2: 
###################################################
#line 63 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
library(phangorn)
primates = read.phyDat("primates.dna", format="phylip", type="DNA")


###################################################
### chunk number 3: 
###################################################
#line 72 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
dm = dist.dna(as.DNAbin(primates))
treeUPGMA = upgma(dm)
treeNJ = NJ(dm)


###################################################
### chunk number 4: plotNJ
###################################################
#line 78 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
layout(matrix(c(1,2), 2, 1), height=c(1,2))
par(mar = c(.1,.1,.1,.1))
plot(treeUPGMA, main="UPGMA")
plot(treeNJ, "unrooted", main="NJ")


###################################################
### chunk number 5: figNJ
###################################################
#line 86 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
#line 78 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw#from line#86#"
layout(matrix(c(1,2), 2, 1), height=c(1,2))
par(mar = c(.1,.1,.1,.1))
plot(treeUPGMA, main="UPGMA")
plot(treeNJ, "unrooted", main="NJ")
#line 87 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"


###################################################
### chunk number 6: 
###################################################
#line 97 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
parsimony(treeUPGMA, primates)
parsimony(treeNJ, primates)


###################################################
### chunk number 7: 
###################################################
#line 102 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
treePars = optim.parsimony(treeUPGMA, primates)
treeRatchet = pratchet(primates, trace = 0)
parsimony(c(treePars, treeRatchet), primates)


###################################################
### chunk number 8: 
###################################################
#line 108 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
(trees <- bab(subset(primates,1:10)))


###################################################
### chunk number 9: 
###################################################
#line 115 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
fit = pml(treeNJ, data=primates)
fit


###################################################
### chunk number 10: 
###################################################
#line 120 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
methods(class="pml")


###################################################
### chunk number 11: 
###################################################
#line 124 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
fitJC = optim.pml(fit, TRUE)
logLik(fitJC)


###################################################
### chunk number 12: 
###################################################
#line 129 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
fitGTR = update(fit, k=4, inv=0.2) 
fitGTR = optim.pml(fitGTR, TRUE,TRUE, TRUE, TRUE, TRUE, 
    control = pml.control(trace = 0))
fitGTR 


###################################################
### chunk number 13: 
###################################################
#line 136 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
anova(fitJC, fitGTR) 


###################################################
### chunk number 14: 
###################################################
#line 140 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
AIC(fitGTR) 
AIC(fitJC)


###################################################
### chunk number 15: 
###################################################
#line 145 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
SH.test(fitGTR, fitJC) 


###################################################
### chunk number 16: 
###################################################
#line 149 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
mt = modelTest(primates)


###################################################
### chunk number 17: 
###################################################
#line 154 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
library(xtable)
xtable(mt, caption="Summary table of modelTest", label="tab:modelTest")


###################################################
### chunk number 18: 
###################################################
#line 160 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
env <- attr(mt, "env")
ls(envir=env)
(fit <- eval(get("HKY+G+I", env), env))


###################################################
### chunk number 19: 
###################################################
#line 167 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
bs = bootstrap.pml(fitJC, bs=100, optNni=TRUE, 
    control = pml.control(trace = 0))


###################################################
### chunk number 20: plotBS
###################################################
#line 174 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
par(mar=c(.1,.1,.1,.1))
plotBS(fitJC$tree, bs)


###################################################
### chunk number 21: figBS
###################################################
#line 181 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
#line 174 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw#from line#181#"
par(mar=c(.1,.1,.1,.1))
plotBS(fitJC$tree, bs)
#line 182 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"


###################################################
### chunk number 22: 
###################################################
#line 193 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
options(prompt=" ")
options(continue="  ")


###################################################
### chunk number 23:  eval=FALSE
###################################################
## #line 197 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
## library(multicore) # supports parallel computing
## library(phangorn)
## file="myfile"
## dat = read.phyDat(file)
## dm = dist.ml(dat)
## tree = NJ(dm)
## 
## # 1. alternative: estimate an GTR model
## fitStart = pml(tree, dat, k=4, inv=.2)
## fit = optim.pml(fitStart, TRUE, TRUE, TRUE, TRUE, TRUE) 
##  
## # 2. alternative: modelTest  
## (mt <- modelTest(dat, multicore=TRUE)) 
## # choose best model from the table, assume now GTR+G+I
## env = attr(mt, "env")
## fitStart = eval(get("GTR+G+I", env), env) 
##  
## fit = optim.pml(fitStart, optNni=TRUE, optGamma=TRUE, optInv=TRUE, 
##     model="GTR")
## bs = bootstrap.pml(fit, bs=100, optNni=TRUE, multicore=TRUE)


###################################################
### chunk number 24:  eval=FALSE
###################################################
## #line 221 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
## library(multicore) # supports parallel computing
## library(phangorn)
## file="myfile"
## dat = read.phyDat(file, type = "AA")
## dm = dist.ml(dat, model="JTT")
## tree = NJ(dm)
## fitNJ = pml(tree, dat, model="JTT", k=4, inv=.2)
## fit = optim.pml(fitNJ, optNni=TRUE, optInv=TRUE, optGamma=TRUE)
## fit
## bs = bootstrap.pml(fit, bs=100, optNni=TRUE, multicore=TRUE)


###################################################
### chunk number 25: 
###################################################
#line 239 "d:/Rcompile/CRANpkg/local/2.12/phangorn/inst/doc/Trees.Rnw"
toLatex(sessionInfo())


